org.apache.hc.client5.http.cache

## Class ResponseCacheControl.Builder

- java.lang.Object
- - org.apache.hc.client5.http.cache.ResponseCacheControl.Builder

- Enclosing class:
    ResponseCacheControl

      public static class ResponseCacheControl.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResponseCacheControl` | `build()`
    `long` | `getMaxAge()`
    `Set<String>` | `getNoCacheFields()`
    `long` | `getSharedMaxAge()`
    `long` | `getStaleIfError()`
    `long` | `getStaleWhileRevalidate()`
    `boolean` | `isCachePrivate()`
    `boolean` | `isCachePublic()`
    `boolean` | `isImmutable()`
    `boolean` | `isMustRevalidate()`
    `boolean` | `isMustUnderstand()`
    `boolean` | `isNoCache()`
    `boolean` | `isNoStore()`
    `boolean` | `isProxyRevalidate()`
    `ResponseCacheControl.Builder` | `setCachePrivate(boolean cachePrivate)`
    `ResponseCacheControl.Builder` | `setCachePublic(boolean cachePublic)`
    `ResponseCacheControl.Builder` | `setImmutable(boolean immutable)`
    `ResponseCacheControl.Builder` | `setMaxAge(long maxAge)`
    `ResponseCacheControl.Builder` | `setMustRevalidate(boolean mustRevalidate)`
    `ResponseCacheControl.Builder` | `setMustUnderstand(boolean mustUnderstand)`
    `ResponseCacheControl.Builder` | `setNoCache(boolean noCache)`
    `ResponseCacheControl.Builder` | `setNoCacheFields(Set<String> noCacheFields)`
    `ResponseCacheControl.Builder` | `setNoCacheFields(String... noCacheFields)`
    `ResponseCacheControl.Builder` | `setNoStore(boolean noStore)`
    `ResponseCacheControl.Builder` | `setProxyRevalidate(boolean proxyRevalidate)`
    `ResponseCacheControl.Builder` | `setSharedMaxAge(long sharedMaxAge)`
    `ResponseCacheControl.Builder` | `setStaleIfError(long staleIfError)`
    `ResponseCacheControl.Builder` | `setStaleWhileRevalidate(long staleWhileRevalidate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMaxAge

          public long getMaxAge()

    - #### setMaxAge

          public ResponseCacheControl.Builder setMaxAge(long maxAge)

    - #### getSharedMaxAge

          public long getSharedMaxAge()

    - #### setSharedMaxAge

          public ResponseCacheControl.Builder setSharedMaxAge(long sharedMaxAge)

    - #### isNoCache

          public boolean isNoCache()

    - #### setNoCache

          public ResponseCacheControl.Builder setNoCache(boolean noCache)

    - #### isNoStore

          public boolean isNoStore()

    - #### setNoStore

          public ResponseCacheControl.Builder setNoStore(boolean noStore)

    - #### isCachePrivate

          public boolean isCachePrivate()

    - #### setCachePrivate

          public ResponseCacheControl.Builder setCachePrivate(boolean cachePrivate)

    - #### isMustRevalidate

          public boolean isMustRevalidate()

    - #### setMustRevalidate

          public ResponseCacheControl.Builder setMustRevalidate(boolean mustRevalidate)

    - #### isProxyRevalidate

          public boolean isProxyRevalidate()

    - #### setProxyRevalidate

          public ResponseCacheControl.Builder setProxyRevalidate(boolean proxyRevalidate)

    - #### isCachePublic

          public boolean isCachePublic()

    - #### setCachePublic

          public ResponseCacheControl.Builder setCachePublic(boolean cachePublic)

    - #### getStaleWhileRevalidate

          public long getStaleWhileRevalidate()

    - #### setStaleWhileRevalidate

          public ResponseCacheControl.Builder setStaleWhileRevalidate(long staleWhileRevalidate)

    - #### getStaleIfError

          public long getStaleIfError()

    - #### setStaleIfError

          public ResponseCacheControl.Builder setStaleIfError(long staleIfError)

    - #### getNoCacheFields

          public Set<String> getNoCacheFields()

    - #### setNoCacheFields

          public ResponseCacheControl.Builder setNoCacheFields(Set<String> noCacheFields)

    - #### setNoCacheFields

          public ResponseCacheControl.Builder setNoCacheFields(String... noCacheFields)

    - #### isMustUnderstand

          public boolean isMustUnderstand()

    - #### setMustUnderstand

          public ResponseCacheControl.Builder setMustUnderstand(boolean mustUnderstand)

    - #### isImmutable

          public boolean isImmutable()

    - #### setImmutable

          public ResponseCacheControl.Builder setImmutable(boolean immutable)

    - #### build

          public ResponseCacheControl build()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.